bear

Well-Known Member
Sep 24, 2002
137
4
168
cPanel Access Level
Root Administrator
Need to move accounts off an older box that is running mysql 5.7. Since CentOS is being deprecated, decided to go with Almalinux8 so that won't be an issue in the near future. I found, after the fact, a statement from Cpanel that AlmaLinux8 won't install mySQL 5.7, yet this exists from June for v90* of cpanel (on v96.0.11, currently):
The following versions of MySQL are available:
MySQL 5.6
MySQL 5.7
MySQL 8.0
My question is, what OS is compatible, so I can install 5.7 on this new box and migrate, worrying about sql upgrades afterward?
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
9,734
1,518
313
cPanel Access Level
Root Administrator
Hey there! No CentOS 8 variant will work with MySQL 5.7, so there isn't a way to install that version there.

I'd actually recommend a different approach, where the MySQL upgrade happens on the existing Source machine before you perform the transfer. That way, if there are database issues, you know they are caused by the upgrade and not the transfer.
 

bear

Well-Known Member
Sep 24, 2002
137
4
168
cPanel Access Level
Root Administrator
Normally, yes. Unfortunately, this losing server also had an old OS on it (CentOS 6) and cpanel refused to update past 5.7 since it's stuck on Cpanel v86.0.40. (I know, don't ask).
It's the reason we need to move to a new one.
So the only option is to use an older OS as well? Any link to see the choices it will support?
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
9,734
1,518
313
cPanel Access Level
Root Administrator
The two options would be CentOS 7, or you could use CloudLinux's MySQL Governor tool, as that supports older versions:

 

bear

Well-Known Member
Sep 24, 2002
137
4
168
cPanel Access Level
Root Administrator
Just found info that Centos7 will be supported until June of 2024, so I think that will work.
Thanks for the pointers.